/* *****************************************************************************
 *
 * Filename: CalendarPanelCustomizer.java
 *
 * Author:   Robert Thornburrow
 * Project:  CalendarMaker
 * Created:  01 January 2003, 14:43
 *
 * Purpose:  Customizer for CalendarPanel.
 *
 * (c) Copyright R.H.Thornburrow, 2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

package com.tsac.calmaker;

import java.awt.*;

/**
 *
 * @author  Robert
 */
public class CalendarPanelCustomizer
    extends javax.swing.JPanel
    implements java.beans.Customizer
{
    private CalendarPanel _object;
    
    
    /** Creates new form CalendarPanelCustomizer */
    public CalendarPanelCustomizer()
    {
        initComponents();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private void initComponents()//GEN-BEGIN:initComponents
    {
        java.awt.GridBagConstraints gridBagConstraints;

        layoutBtnGrp = new javax.swing.ButtonGroup();
        layoutPnl = new javax.swing.JPanel();
        coordinatesRad = new javax.swing.JRadioButton();
        gridBagRad = new javax.swing.JRadioButton();

        setLayout(new java.awt.GridBagLayout());

        layoutPnl.setLayout(new javax.swing.BoxLayout(layoutPnl, javax.swing.BoxLayout.Y_AXIS));

        layoutPnl.setBorder(new javax.swing.border.TitledBorder(new javax.swing.border.EtchedBorder(), java.util.ResourceBundle.getBundle("com/tsac/calmaker/CalendarMaker").getString("Layout")));
        coordinatesRad.setText(java.util.ResourceBundle.getBundle("com/tsac/calmaker/CalendarMaker").getString("Using_Coordinates"));
        layoutBtnGrp.add(coordinatesRad);
        coordinatesRad.addActionListener(new java.awt.event.ActionListener()
        {
            public void actionPerformed(java.awt.event.ActionEvent evt)
            {
                coordinatesRadActionPerformed(evt);
            }
        });

        layoutPnl.add(coordinatesRad);

        gridBagRad.setText(java.util.ResourceBundle.getBundle("com/tsac/calmaker/CalendarMaker").getString("Using_GridBag_Layout"));
        layoutBtnGrp.add(gridBagRad);
        gridBagRad.addActionListener(new java.awt.event.ActionListener()
        {
            public void actionPerformed(java.awt.event.ActionEvent evt)
            {
                gridBagRadActionPerformed(evt);
            }
        });

        layoutPnl.add(gridBagRad);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.insets = new java.awt.Insets(8, 8, 8, 8);
        gridBagConstraints.anchor = java.awt.GridBagConstraints.NORTHWEST;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        add(layoutPnl, gridBagConstraints);

    }//GEN-END:initComponents

    private void gridBagRadActionPerformed(java.awt.event.ActionEvent evt)//GEN-FIRST:event_gridBagRadActionPerformed
    {//GEN-HEADEREND:event_gridBagRadActionPerformed
        _object.setLayout( new GridBagLayout() );
        _object.doLayout();
    }//GEN-LAST:event_gridBagRadActionPerformed

    private void coordinatesRadActionPerformed(java.awt.event.ActionEvent evt)//GEN-FIRST:event_coordinatesRadActionPerformed
    {//GEN-HEADEREND:event_coordinatesRadActionPerformed
        _object.setLayout( null );
        _object.doLayout();
    }//GEN-LAST:event_coordinatesRadActionPerformed

    public void setObject(Object obj)
    {
        if( obj instanceof CalendarPanel )
        {
            _object = (CalendarPanel) obj;
            
            LayoutManager lm = _object.getLayout();
            
            if( (lm != null) && (lm instanceof GridBagLayout) )
                gridBagRad.setSelected( true );
            else
                coordinatesRad.setSelected( true );
        }
    }    
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.ButtonGroup layoutBtnGrp;
    private javax.swing.JPanel layoutPnl;
    private javax.swing.JRadioButton coordinatesRad;
    private javax.swing.JRadioButton gridBagRad;
    // End of variables declaration//GEN-END:variables
    
}
