/* *****************************************************************************
 *
 * Filename: CalendarCell.java
 *
 * Author:   Robert Thornburrow
 * Project:  CalendarMaker
 * Created:  17 December 2002, 12:12
 *
 * Purpose:  Model of a cell for all Calendar beans (Table, List, etc.).
 *
 * (c) Copyright R.H.Thornburrow, 2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

package com.tsac.calmaker.beans;

public class CalendarCell
    implements Cloneable
{
    private int _date;
    private String _what;
    private int _pos;
            
    public CalendarCell( int date, String what )
    {
        _date = date;
        _what = what;
        _pos = 1;
    }
    
    public Object clone()
    {
        return new CalendarCell( _date, _what );
    }
    
    public boolean equals( Object other )
    {
        if( other instanceof CalendarCell )
        {
            CalendarCell oc = (CalendarCell) other;
            return (_date == oc._date) && _what.equals( oc._what );
        }
        
        return false;
    }
        
    public int getDate() { return _date; }
    public void setDate( int date )  {  _date = date; }

    public int getPos() { return _pos; }
    public void setPos( int pos )  {  _pos = pos; }
    
    public String getWhat() { return _what; }        
}
