/* *****************************************************************************
 *
 * Filename: MonthImageCellEditor.java
 *
 * Author:   Robert Thornburrow
 * Project:  CalendarMaker
 * Created:  20 December 2002, 14:42
 *
 * Purpose:  CellEditor class used in MonthImageCustomizer.
 *
 * (c) Copyright R.H.Thornburrow, 2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

package com.tsac.calmaker.beans;

/**
 *
 * @author  Robert
 */
public class MonthImageCellEditor
    extends javax.swing.AbstractCellEditor
    implements javax.swing.table.TableCellEditor
{
    private MonthImageCellEditorComponent _micec = new MonthImageCellEditorComponent( this );
    
    
    /** Creates a new instance of MonthImageCellEditor */
    public MonthImageCellEditor()
    {
    }
    
    public Object getCellEditorValue()
    {
        String f = _micec.getFilename();
        return ( f.length() == 0 ? null : f);
    }
    
    public java.awt.Component getTableCellEditorComponent( javax.swing.JTable table, Object obj, boolean isSelected, int row, int col )
    {
        _micec.setFilename( (String) obj );
        return _micec;
    }
}
