/* *****************************************************************************
 *
 * Filename: YearTitle.java
 *
 * Author:   Robert Thornburrow
 * Project:  CalendarMaker
 * Created:  17 December 2002, 10:02
 *
 * Purpose:  Bean for displaying the year (as a number).
 *
 * (c) Copyright R.H.Thornburrow, 2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

package com.tsac.calmaker.beans;

import java.awt.*;

public class YearTitle
    extends Title
{
    // Contructor
	public YearTitle()
	{
	}


    // Overrides default behavior to size largest month
    public Dimension getPreferredSize()
    {
        return new Dimension( getFontMetrics(_font).stringWidth( "0000" ), getFontMetrics(_font).getHeight() );
    }
    

    // Overrides default paint method
    public void paint( Graphics g, double scale )
    {
        Font font = _font.deriveFont( (float) (scale * _font.getSize()) );

        g.setColor( _color );
        g.setFont( font );
        g.drawString( Integer.toString( _curryear ), 0, getFontMetrics(font).getAscent() );
    }
    
    ////////////////////////////////////////////////////////////////////////////
    // Accessibility stuff
    
    protected String getAccessibleName()
    {
        return resources.getString( "YearTitle_Name" );
    }
    
    protected String getAccessibleDescription()
    {
        return resources.getString( "YearTitle_Desc" );
    }
}